Subject: Ticket Assigned - NCB Offer not working
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 31 Mar 2021 08:51:43 +0000

Hi Mohammad Humayun,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  NCB Offer not working  Dears,

I have been trying to make an order through centrepoint online store (KSA), but the store fails to apply the NCB Bank offer (of 20% discount) although i carefully followed the promotion instructions but the offer is not applying for any selected item

I have called call center over phone and they advised that I should take some screen-shot of the payment page and share it over email (in which You can find  attached)
Also I have tried to complete one order, but the offer couldn't still be applied

Appreciate your urgent feedback so I can use the offer while applicable

Thanks
Mohamed

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2299194